#include <iostream>
#include <algorithm>
#include <cmath>

using namespace std;

long long st(long long a)
{
    long long c = 0;
    while(a != 0)
    {
        a/=10;
        c++;
    }
    return c;
}

long long power(long long f)
{
    long long l=1;
    int i;
    for(i=0;i<st(f);i++)
        l*=10;
    return l;
}

int main()
{
    long long a,b,c,k[6];
    cin >> a >> b >> c;
    k[0] = (a*power(b) + b)*power(c) + c;
    k[1] = (b*power(a) + a)*power(c) + c;
    k[2] = (a*power(c) + c)*power(b) + b;
    k[3] = (b*power(c) + c)*power(a) + a;
    k[4] = (c*power(b) + b)*power(a) + a;
    k[5] = (c*power(a) + a)*power(b) + b;
    cout << max(max(max(k[0],k[1]),max(k[2],k[3])),max(k[4],k[5]));
    return 0;
}